Subject: Re: bridging with gre tunnel

From: James Chapman <[email-masked]>
Date: Mon, 14 Jul 2008 10:13:49 +0100

Philip Craig wrote:
> Timo Teräs wrote:
> I posted a cleaner version that's similar to what the old patch
> did, see http://marc.info/?l=linux-netdev&m=115449948503549&w=2
> 
> But I don't think that is the right approach:
> - it forces you to use bridging if you only want ethernet over GRE
> - the change fundamentally has nothing to do with bridging

I agree.

> It could be a new device that sits on top of GRE and simply does
> ethernet encapsulation then passes it to the raw GRE device.

This would be my preferred approach. There are other drivers that use a 
netdev to do some encap/decap processing on packets which are then 
passed on to another driver, e.g. macvlan, and it works well.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development